const state = {
  email: '',
  oldEmail: '',
  emailAsDefault: false,
  remark: '',
  old_remark: '',
}
const mutations = {
  set_email(state, payload) {
    state.email = payload
  },
  set_old_email(state, payload) {
    state.oldEmail = payload
  },
  set_emailAsDefault(state, payload) {
    state.emailAsDefault = payload
  },
  set_remark(state, payload) {
    state.remark = payload
  },
  set_old_remark(state, payload) {
    state.oldrRemark = payload
  },
}
const actions ={
  init({commit}) {
    commit('set_email', '')
    commit('set_old_email', '')
    commit('set_remark', '')
    commit('set_old_remark', '')
    commit('set_emailAsDefault', false)
  }
}
export default {
  //开启命名模块
  namespaced: true,
  state: state,
  mutations,
  actions,
};

